### Method

# Gimp BatchProcedure get_interpreter_name

#### Declaration [src]

    const gchar*
    gimp_batch_procedure_get_interpreter_name (
      GimpBatchProcedure* procedure
    )

#### Description [src]

Returns the procedure’s interpreter name, as set with `gimp_batch_procedure_set_interpreter_name()`.

Available since: | 3.0

#### Return value

Returns: | `const gchar*`
| The procedure’s interpreter name.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.